Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class MarkupResponse

    java.lang.Object
      org.jboss.portal.wsrp.core.MarkupResponse

All Implemented Interfaces:
  java.io.Serializable

    public class MarkupResponse

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected MarkupContext` | `markupContext`
`protected SessionContext` | `sessionContext`

Constructor Summary
`MarkupResponse()`
`MarkupResponse(MarkupContext markupContext, SessionContext sessionContext, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`MarkupContext` | `getMarkupContext()`
`SessionContext` | `getSessionContext()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setMarkupContext(MarkupContext markupContext)`
`void` | `setSessionContext(SessionContext sessionContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### markupContext

    protected MarkupContext markupContext

### sessionContext

    protected SessionContext sessionContext

### extensions

    protected Extension[] extensions

Constructor Detail

### MarkupResponse

    public MarkupResponse()

### MarkupResponse

    public MarkupResponse(MarkupContext markupContext,
                          SessionContext sessionContext,
                          Extension[] extensions)

Method Detail

### getMarkupContext

    public MarkupContext getMarkupContext()

### setMarkupContext

    public void setMarkupContext(MarkupContext markupContext)

### getSessionContext

    public SessionContext getSessionContext()

### setSessionContext

    public void setSessionContext(SessionContext sessionContext)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD